use crate::registry::prelude::*;

const FEE_LINK: &str = "https://www.bromolla.se/bevab/om-elmarknaden-och-elnat/elpriser/";

pub static BROMOLLA_ENERGI_VATTEN_AB: GridOperator = GridOperator::builder()
    .name("Bromölla Energi & Vatten AB")
    .vat_number("SE556525863801")
    .country(SE)
    .links(
        Links::builder()
            .fee_info(FEE_LINK, "#wrapper")
            .feed_in_revenue_info_default(
                "https://www.bromolla.se/bevab/om-elmarknaden-och-elnat/elpriser/",
            )
            .build(),
    )
    .price_lists(&[PriceList::builder()
        .from_date(9999, 12, 31)
        .monthly_fee(Cost::Unverified)
        .monthly_production_fee(Cost::Unverified)
        .feed_in_revenue(FeedInRevenue::Simple(
            Cost::fixed_subunit(13.0).remove_vat(SE),
        ))
        .transfer_fee(TransferFee::fixed_subunit(35.60))
        .power_tariff(PowerTariff::Unverified)
        .build()])
    .build();
